Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000889Core InformTablespublic2012-03-19 18:462014-05-07 07:34
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000889: Tables of descriptions cannot be populated at compile-time
DescriptionInform complains with a very specific error message that the row entry is a description and that it lacks "definite value" and "can't be stored". But the additional info shows that this is simply incorrect.
Minimal Source Text To Reproduce
"Test"

There is room.

Table 1
Collection
Descriptions of numbers
Even numbers
Additional InformationIf table 1 is changed to being empty (i.e. the last line deleted), this will correctly populate the table at runtime (but watch out for Bug 510, which will interfere with trying to invoke it after storing it):

To populate (D - Description of numbers):
Choose a blank row in table 1;
Now Collection entry is D.

When play begins:
Populate even numbers;
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
related to 0000891closedgraham Description interpreted as object name 
related to 0000887closedgraham Cannot assign literal values to "description of K" variables 
child of 0000899closedgraham Umbrella issue: Inform rejects description literals in several cases 

-  Notes
(0001606)
NYKevin (reporter)
2012-03-19 18:47

Please mark as related to 888 and/or 887.
(0002321)
graham (administrator)
2014-01-19 05:13

Yes, Inform doesn't allow description literals to be stored this way. It now produces a problem message which is more explanatory.

- Issue History
Date Modified Username Field Change
2012-03-19 18:46 NYKevin New Issue
2012-03-19 18:47 NYKevin Note Added: 0001606
2012-03-27 14:17 EmacsUser Relationship added related to 0000887
2012-03-27 14:18 EmacsUser Relationship added related to 0000891
2012-03-27 14:18 EmacsUser Reproducibility have not tried => always
2012-03-27 14:18 EmacsUser Status new => confirmed
2012-03-30 22:50 EmacsUser Relationship added related to 0000899
2012-03-31 19:57 jmcgrew Relationship replaced child of 0000899
2014-01-19 05:13 graham Note Added: 0002321
2014-01-19 05:13 graham Status confirmed => resolved
2014-01-19 05:13 graham Resolution open => fixed
2014-01-19 05:13 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker